<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>CSS3-transition</title>
    <style>
        .transition{
            width:100px;
            height:50px;
            background-color:red;
            margin-bottom:50px;
        }
        .wrap-transition{
           transition:width 2s;
        }
        .wrap-transition:hover{
            width:300px;
        }
        .wrap-transitions{
           transition:width 2s,height 2s;
        }
        .wrap-transitions:hover{
            width:300px;
            height:100px;
        }
        .wrap-transition-property{
            transition-timing-function:linear;
            transition-duration:5s;
            transition-property:background-color;
        }
        .wrap-transition-property:hover{
            background-color:blue;
        }
        .wrap-transition-delay{
            transition-duration:2s;
            transition-property:width;
            transition-delay:2s;
        }
        .wrap-transition-delay:hover{
            width:300px;
        }
        .wrap-transition-rotate{
            transition:transform 2s linear;
        }
        .wrap-transition-rotate:hover{
            transform: rotate(360deg);
        }
    </style>
</head>
<body>
    <div class="transition wrap-transition"></div>
    <div class="transition wrap-transitions"></div>
    <div class="transition wrap-transition-property"></div>
    <div class="transition wrap-transition-delay"></div>
    <div class="transition wrap-transition-rotate">rotate</div>
</body>
</html>